#ifndef SWIG_LIBWCCL_ANNOTATIONMATCH_I
#define SWIG_LIBWCCL_ANNOTATIONMATCH_I

%module libcclannotationmatch
%{
  #include <libwccl/values/annotationmatch.h>
%}

%include "std_string.i"
%include "libcclposition.i"
%include "libcclmatchdata.i"
%include "libcorpus/libcorpusannotatedsentence.i"

%nodefaultctor Wccl::AnnotationMatch;

namespace Wccl {
  class AnnotationMatch : public MatchData {
  public:
    explicit AnnotationMatch(Position position, const std::string channel);
    explicit AnnotationMatch(int pos, const std::string channel);

    /* --------------------------------------------------------------------- */
    bool empty() const;

    /* --------------------------------------------------------------------- */
    Position first_token(const boost::shared_ptr<Corpus2::AnnotatedSentence>&) const;
    Position last_token(const boost::shared_ptr<Corpus2::AnnotatedSentence>&) const;

    /* --------------------------------------------------------------------- */
    std::string to_raw_string() const;
  };
}

using namespace std;
using namespace Wccl;

#endif /* SWIG_LIBWCCL_ANNOTATIONMATCH_I */
