#ifndef SWIG_LIBCCL_PARSER_I
#define SWIG_LIBCCL_PARSER_I

%module libcclparser
%{
  #include <libwccl/parser/Parser.h>
%}

%include "libcclbool.i"
%include "libccloperator.i"
%include "libcorpus/libcorpustagsetmanager.i"

%include "std_string.i"
%include "std_vector.i"
%include "boost_shared_ptr.i"

namespace Wccl {
  class Parser {
  public:
    Parser(const Corpus2::Tagset&);
    ~TagsetManager();


    // %rename (SharedPtrBoolOperator) boost::shared_ptr<Operator<Bool> >;
    shared_ptr<Operator<Bool> > parseBoolOperator(const std::string&) const;
  };
}

using namespace boost;
using namespace std;
using namespace Corpus2;

#endif /* SWIG_LIBCCL_PARSER_I */
